package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 事项状态（停用.停用，在用.在用）枚举类
*
* @author zxfei
*/
public enum MatterStatusEnum {
    停用("停用", "停用"),
    在用("在用", "在用");
    private String value;
    private String desc;

    MatterStatusEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MatterStatusEnum getByValue(String value) {
        for (MatterStatusEnum matterStatusEnum : MatterStatusEnum.values()) {
            if (matterStatusEnum.getValue() == value) {
                return matterStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MatterStatusEnum item : MatterStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}